import { FakeAuthRepository } from '@app/testing/domain/authentification/fake-auth.repository';
import { GetCurrentUserUseCase } from '@app/application/authentification/get-current-user.usecase';
import { mockUsers } from '@app/testing/user.mock';

describe('GetUserUsecase', () => {
  it("devrait retourner l'utilisateur connecté ", () => {
    const repo = new FakeAuthRepository();
    const useCase = new GetCurrentUserUseCase(repo);

    const res = useCase.execute();
    expect(res).toBeTruthy();
    expect(res).toBe(mockUsers[0]);
  });
});
